package cpcns.dingZhi.shuiyin.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.shuiyin.model.ShuiYin;
import cpcns.dingZhi.shuiyin.service.ShuiYinService;
import cpcns.utils.Json;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/shuiYin"})
public class ShuiYinController extends DangAnBaseController {
  private static final Logger logger = Logger.getLogger(cpcns.dingZhi.shuiyin.controller.ShuiYinController.class);
  
  @Autowired
  private ShuiYinService shuiYinService;
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, Model model) {
    logger.info("查询水印数据开始！！");
    return "shuiYin/syedit";
  }
  
  @RequestMapping(value = {"/getdate.do"}, method = {RequestMethod.POST})
  @ResponseBody
  public String getdate(HttpServletRequest request, Model model, String type) {
    logger.info("查询水印数据开始！！");
    Map<String, Object> map = null;
    List<Map<String, Object>> list = new ArrayList<>();
    map = this.shuiYinService.getAll(type);
    Map<String, Object> toMap = new HashMap<>();
    if (map != null) {
      toMap.put("success", "查询水印数据成功！");
    } else {
      toMap.put("success", "没有数据需要新建");
    } 
    toMap.put("data", map);
    list.add(toMap);
    logger.info("查询水印数据结束！！");
    return Json.List2Json(list);
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, Model model, ShuiYin sy, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    logger.info("保存数据开始！！");
    try {
      if (sy != null) {
        if (sy.getHangBiaoShi() != null || sy.getHangBiaoShi() != "") {
          this.shuiYinService.update(sy);
          rm.setSuccess(true);
          info = "修改成功！";
        } else {
          sy.setHangBiaoShi((new StringBuilder(String.valueOf(this.shuiYinService.getPk("D_SHUIYINADM")))).toString());
          this.shuiYinService.save(sy);
          rm.setSuccess(true);
          info = "保存成功！";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误";
      } 
    } catch (Exception e) {
      System.out.println(e.getMessage());
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    logger.info("保存水印数据结束！！");
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
